]> cygwin.com Git - cygwin-apps/cygutils.git/blame - Makefile.in
Add col; regenerate autofiles
[cygwin-apps/cygutils.git] / Makefile.in
CommitLineData
ad412770 1# Makefile.in generated by automake 1.6.1 from Makefile.am.
13a7ef4c 2# @configure_input@
d4a28ab0 3
13a7ef4c 4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
d4a28ab0
CW
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
d4a28ab0
CW
16SHELL = @SHELL@
17
18srcdir = @srcdir@
19top_srcdir = @top_srcdir@
20VPATH = @srcdir@
21prefix = @prefix@
22exec_prefix = @exec_prefix@
23
24bindir = @bindir@
25sbindir = @sbindir@
26libexecdir = @libexecdir@
27datadir = @datadir@
28sysconfdir = @sysconfdir@
29sharedstatedir = @sharedstatedir@
30localstatedir = @localstatedir@
31libdir = @libdir@
32infodir = @infodir@
33mandir = @mandir@
34includedir = @includedir@
35oldincludedir = /usr/include
36pkgdatadir = $(datadir)/@PACKAGE@
37pkglibdir = $(libdir)/@PACKAGE@
38pkgincludedir = $(includedir)/@PACKAGE@
39top_builddir = .
40
41ACLOCAL = @ACLOCAL@
42AUTOCONF = @AUTOCONF@
43AUTOMAKE = @AUTOMAKE@
44AUTOHEADER = @AUTOHEADER@
45
13a7ef4c 46am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
d4a28ab0
CW
47INSTALL = @INSTALL@
48INSTALL_PROGRAM = @INSTALL_PROGRAM@
49INSTALL_DATA = @INSTALL_DATA@
13a7ef4c
CW
50install_sh_DATA = $(install_sh) -c -m 644
51install_sh_PROGRAM = $(install_sh) -c
d4a28ab0
CW
52INSTALL_SCRIPT = @INSTALL_SCRIPT@
53INSTALL_HEADER = $(INSTALL_DATA)
54transform = @program_transform_name@
55NORMAL_INSTALL = :
56PRE_INSTALL = :
57POST_INSTALL = :
58NORMAL_UNINSTALL = :
59PRE_UNINSTALL = :
60POST_UNINSTALL = :
13a7ef4c
CW
61
62EXEEXT = @EXEEXT@
63OBJEXT = @OBJEXT@
64PATH_SEPARATOR = @PATH_SEPARATOR@
d4a28ab0
CW
65AMTAR = @AMTAR@
66AWK = @AWK@
67CC = @CC@
68DEPDIR = @DEPDIR@
d4a28ab0
CW
69INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
70MAINT = @MAINT@
d4a28ab0 71PACKAGE = @PACKAGE@
13a7ef4c 72STRIP = @STRIP@
d4a28ab0
CW
73VERSION = @VERSION@
74am__include = @am__include@
75am__quote = @am__quote@
76install_sh = @install_sh@
77
6cc111d5 78SUBDIRS = src
d4a28ab0
CW
79subdir = .
80ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
82CONFIG_HEADER = config.h
334b0592 83CONFIG_CLEAN_FILES =
d4a28ab0
CW
84DIST_SOURCES =
85
86RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
87 uninstall-info-recursive all-recursive install-data-recursive \
88 install-exec-recursive installdirs-recursive install-recursive \
89 uninstall-recursive check-recursive installcheck-recursive
13a7ef4c
CW
90DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
91 Makefile.in NEWS TODO acinclude.m4 aclocal.m4 config.h.in \
92 configure configure.ac depcomp install-sh missing mkinstalldirs
d4a28ab0
CW
93DIST_SUBDIRS = $(SUBDIRS)
94all: config.h
95 $(MAKE) $(AM_MAKEFLAGS) all-recursive
96
97.SUFFIXES:
98$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
99 cd $(top_srcdir) && \
100 $(AUTOMAKE) --gnu Makefile
101Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
13a7ef4c 102 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
d4a28ab0
CW
103
104$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
105 $(SHELL) ./config.status --recheck
106$(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
107 cd $(srcdir) && $(AUTOCONF)
108
d2b03e6a 109$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac acinclude.m4
d4a28ab0 110 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
13a7ef4c
CW
111
112config.h: stamp-h1
d4a28ab0 113 @if test ! -f $@; then \
13a7ef4c
CW
114 rm -f stamp-h1; \
115 $(MAKE) stamp-h1; \
d4a28ab0 116 else :; fi
13a7ef4c
CW
117
118stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
119 @rm -f stamp-h1
120 cd $(top_builddir) && $(SHELL) ./config.status config.h
121
122$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.ac $(ACLOCAL_M4)
d4a28ab0 123 cd $(top_srcdir) && $(AUTOHEADER)
13a7ef4c 124 touch $(srcdir)/config.h.in
d4a28ab0
CW
125
126distclean-hdr:
127 -rm -f config.h
128uninstall-info-am:
129
130# This directory's subdirectories are mostly independent; you can cd
131# into them and run `make' without going through this Makefile.
132# To change the values of `make' variables: instead of editing Makefiles,
133# (1) if the variable is set in `config.status', edit `config.status'
134# (which will cause the Makefiles to be regenerated when you run `make');
135# (2) otherwise, pass the desired values on the `make' command line.
136$(RECURSIVE_TARGETS):
ad412770 137 @set fnord $$MAKEFLAGS; amf=$$2; \
d4a28ab0
CW
138 dot_seen=no; \
139 target=`echo $@ | sed s/-recursive//`; \
140 list='$(SUBDIRS)'; for subdir in $$list; do \
141 echo "Making $$target in $$subdir"; \
142 if test "$$subdir" = "."; then \
143 dot_seen=yes; \
144 local_target="$$target-am"; \
145 else \
146 local_target="$$target"; \
147 fi; \
148 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
149 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
150 done; \
151 if test "$$dot_seen" = "no"; then \
152 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
153 fi; test -z "$$fail"
154
155mostlyclean-recursive clean-recursive distclean-recursive \
156maintainer-clean-recursive:
ad412770 157 @set fnord $$MAKEFLAGS; amf=$$2; \
d4a28ab0
CW
158 dot_seen=no; \
159 case "$@" in \
160 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
161 *) list='$(SUBDIRS)' ;; \
162 esac; \
163 rev=''; for subdir in $$list; do \
164 if test "$$subdir" = "."; then :; else \
165 rev="$$subdir $$rev"; \
166 fi; \
167 done; \
168 rev="$$rev ."; \
169 target=`echo $@ | sed s/-recursive//`; \
170 for subdir in $$rev; do \
171 echo "Making $$target in $$subdir"; \
172 if test "$$subdir" = "."; then \
173 local_target="$$target-am"; \
174 else \
175 local_target="$$target"; \
176 fi; \
177 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
178 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
179 done && test -z "$$fail"
180tags-recursive:
181 list='$(SUBDIRS)'; for subdir in $$list; do \
182 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
183 done
184
13a7ef4c
CW
185ETAGS = etags
186ETAGSFLAGS =
187
d4a28ab0
CW
188tags: TAGS
189
190ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
13a7ef4c 191 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
d4a28ab0
CW
192 unique=`for i in $$list; do \
193 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
194 done | \
195 $(AWK) ' { files[$$0] = 1; } \
196 END { for (i in files) print i; }'`; \
13a7ef4c 197 mkid -fID $$unique
d4a28ab0
CW
198
199TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
200 $(TAGS_FILES) $(LISP)
201 tags=; \
202 here=`pwd`; \
203 list='$(SUBDIRS)'; for subdir in $$list; do \
204 if test "$$subdir" = .; then :; else \
205 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
206 fi; \
207 done; \
13a7ef4c 208 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
d4a28ab0
CW
209 unique=`for i in $$list; do \
210 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
211 done | \
212 $(AWK) ' { files[$$0] = 1; } \
213 END { for (i in files) print i; }'`; \
13a7ef4c
CW
214 test -z "$(ETAGS_ARGS)$$tags$$unique" \
215 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
216 $$tags $$unique
d4a28ab0
CW
217
218GTAGS:
13a7ef4c 219 here=`$(am__cd) $(top_builddir) && pwd` \
d4a28ab0
CW
220 && cd $(top_srcdir) \
221 && gtags -i $(GTAGS_ARGS) $$here
222
223distclean-tags:
224 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
d4a28ab0
CW
225DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
226
227top_distdir = .
d4a28ab0
CW
228distdir = $(PACKAGE)-$(VERSION)
229
13a7ef4c
CW
230am__remove_distdir = \
231 { test ! -d $(distdir) \
232 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
233 && rm -fr $(distdir); }; }
234
d4a28ab0 235GZIP_ENV = --best
13a7ef4c 236distcleancheck_listfiles = find . -type f -print
d4a28ab0
CW
237
238distdir: $(DISTFILES)
13a7ef4c 239 $(am__remove_distdir)
d4a28ab0
CW
240 mkdir $(distdir)
241 @for file in $(DISTFILES); do \
13a7ef4c 242 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
d4a28ab0
CW
243 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
244 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
13a7ef4c
CW
245 dir="/$$dir"; \
246 $(mkinstalldirs) "$(distdir)$$dir"; \
247 else \
248 dir=''; \
d4a28ab0
CW
249 fi; \
250 if test -d $$d/$$file; then \
ad412770
CW
251 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
252 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
253 fi; \
254 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
d4a28ab0
CW
255 else \
256 test -f $(distdir)/$$file \
257 || cp -p $$d/$$file $(distdir)/$$file \
258 || exit 1; \
259 fi; \
260 done
13a7ef4c 261 list='$(SUBDIRS)'; for subdir in $$list; do \
d4a28ab0
CW
262 if test "$$subdir" = .; then :; else \
263 test -d $(distdir)/$$subdir \
264 || mkdir $(distdir)/$$subdir \
265 || exit 1; \
266 (cd $$subdir && \
267 $(MAKE) $(AM_MAKEFLAGS) \
268 top_distdir="$(top_distdir)" \
269 distdir=../$(distdir)/$$subdir \
270 distdir) \
271 || exit 1; \
272 fi; \
273 done
274 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
275 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
276 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
277 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
278 || chmod -R a+r $(distdir)
13a7ef4c
CW
279dist-gzip: distdir
280 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
281 $(am__remove_distdir)
282
283dist dist-all: distdir
d4a28ab0 284 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
13a7ef4c 285 $(am__remove_distdir)
d4a28ab0
CW
286
287# This target untars the dist file and tries a VPATH configuration. Then
288# it guarantees that the distribution is self-contained by making another
289# tarfile.
290distcheck: dist
13a7ef4c 291 $(am__remove_distdir)
d4a28ab0
CW
292 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
293 chmod -R a-w $(distdir); chmod a+w $(distdir)
294 mkdir $(distdir)/=build
295 mkdir $(distdir)/=inst
296 chmod a-w $(distdir)
13a7ef4c 297 dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
d4a28ab0
CW
298 && cd $(distdir)/=build \
299 && ../configure --srcdir=.. --prefix=$$dc_install_base \
13a7ef4c 300 $(DISTCHECK_CONFIGURE_FLAGS) \
d4a28ab0
CW
301 && $(MAKE) $(AM_MAKEFLAGS) \
302 && $(MAKE) $(AM_MAKEFLAGS) dvi \
303 && $(MAKE) $(AM_MAKEFLAGS) check \
304 && $(MAKE) $(AM_MAKEFLAGS) install \
305 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
306 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
307 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
13a7ef4c
CW
308 || { echo "ERROR: files left after uninstall:" ; \
309 find $$dc_install_base -type f -print ; \
310 exit 1; } >&2 ) \
311 && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
d4a28ab0 312 && rm -f $(distdir).tar.gz \
13a7ef4c
CW
313 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
314 $(am__remove_distdir)
d4a28ab0
CW
315 @echo "$(distdir).tar.gz is ready for distribution" | \
316 sed 'h;s/./=/g;p;x;p;x'
13a7ef4c
CW
317distcleancheck: distclean
318 if test '$(srcdir)' = . ; then \
319 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
320 exit 1 ; \
321 fi
322 test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
323 || { echo "ERROR: files left after distclean:" ; \
324 $(distcleancheck_listfiles) ; \
325 exit 1; } >&2
d4a28ab0
CW
326check-am: all-am
327check: check-recursive
328all-am: Makefile config.h
329installdirs: installdirs-recursive
330installdirs-am:
331
332install: install-recursive
333install-exec: install-exec-recursive
334install-data: install-data-recursive
335uninstall: uninstall-recursive
336
337install-am: all-am
338 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
339
340installcheck: installcheck-recursive
341install-strip:
342 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
13a7ef4c 343 INSTALL_STRIP_FLAG=-s \
d4a28ab0
CW
344 `test -z '$(STRIP)' || \
345 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
346mostlyclean-generic:
347
348clean-generic:
349
350distclean-generic:
351 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
352
353maintainer-clean-generic:
354 @echo "This command is intended for maintainers to use"
355 @echo "it deletes files that may require special tools to rebuild."
356clean: clean-recursive
357
358clean-am: clean-generic mostlyclean-am
359
d4a28ab0
CW
360distclean: distclean-recursive
361 -rm -f config.status config.cache config.log
362distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
363
364dvi: dvi-recursive
365
366dvi-am:
367
368info: info-recursive
369
370info-am:
371
372install-data-am:
373
374install-exec-am:
375
376install-info: install-info-recursive
377
378install-man:
379
380installcheck-am:
381
382maintainer-clean: maintainer-clean-recursive
383
384maintainer-clean-am: distclean-am maintainer-clean-generic
385
386mostlyclean: mostlyclean-recursive
387
388mostlyclean-am: mostlyclean-generic
389
390uninstall-am: uninstall-info-am
391
392uninstall-info: uninstall-info-recursive
393
394.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
13a7ef4c
CW
395 clean-generic clean-recursive dist dist-all dist-gzip distcheck \
396 distclean distclean-generic distclean-hdr distclean-recursive \
397 distclean-tags distcleancheck distdir dvi dvi-am dvi-recursive \
398 info info-am info-recursive install install-am install-data \
399 install-data-am install-data-recursive install-exec \
400 install-exec-am install-exec-recursive install-info \
401 install-info-am install-info-recursive install-man \
402 install-recursive install-strip installcheck installcheck-am \
403 installdirs installdirs-am installdirs-recursive \
404 maintainer-clean maintainer-clean-generic \
405 maintainer-clean-recursive mostlyclean mostlyclean-generic \
406 mostlyclean-recursive tags tags-recursive uninstall \
407 uninstall-am uninstall-info-am uninstall-info-recursive \
408 uninstall-recursive
d4a28ab0
CW
409
410# Tell versions [3.59,3.63) of GNU make to not export all variables.
411# Otherwise a system limit (for SysV at least) may be exceeded.
412.NOEXPORT:
This page took 0.062896 seconds and 5 git commands to generate.